Package org.eclipse.gef.mvc.fx.operations

# Class ResizeOperation

java.lang.Object
org.eclipse.core.commands.operations.AbstractOperation
org.eclipse.gef.mvc.fx.operations.ResizeOperation

All Implemented Interfaces:
  `IUndoableOperation`, `ITransactionalOperation`

public class ResizeOperation extends AbstractOperation implements ITransactionalOperation
The `ResizeOperation` can be used to alter the size of a `visual`.

## Constructor Summary

Constructors
Constructor
Description
`ResizeOperation(String label, IResizableContentPart<? extends Node> resizablePart, Dimension initialSize, double dw, double dh)`
Constructs a new `ResizeOperation` from the given values.
`ResizeOperation(IResizableContentPart<? extends Node> resizablePart)`
Constructs a new `ResizeOperation` for the manipulation of the given `Node`.
`ResizeOperation(IResizableContentPart<? extends Node> resizablePart, double dw, double dh)`
Constructs a new `ResizeOperation` for the manipulation of the given `Node`.

## Method Summary

Modifier and Type
Method
Description
`IStatus`
`execute(IProgressMonitor monitor, IAdaptable info)`
`double`
`getDh()`
Returns the delta height that is applied when executing this operation.
`double`
`getDw()`
Returns the delta width that is applied when executing this operation.
`Dimension`
`getInitialSize()`
Returns the dimensions that are applied when undoing this operation.
`IResizableContentPart<? extends Node>`
`getResizablePart()`
Returns the `IResizableContentPart` that is resized by this operation.
`boolean`
`isContentRelevant()`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization).
`boolean`
`isNoOp()`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state).
`IStatus`
`redo(IProgressMonitor monitor, IAdaptable info)`
`void`
`setDh(double dh)`
Sets the delta height that will be applied when executing this operation to the given value.
`void`
`setDw(double dw)`
Sets the delta width that will be applied when executing this operation to the given value.
`IStatus`
`undo(IProgressMonitor monitor, IAdaptable info)`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext`

## Constructor Details

### ResizeOperation

public ResizeOperation(IResizableContentPart<? extends Node> resizablePart)
Constructs a new `ResizeOperation` for the manipulation of the given `Node`.

Parameters:
  `resizablePart` - The `Node` that is manipulated by this operation.

### ResizeOperation

public ResizeOperation(IResizableContentPart<? extends Node> resizablePart, double dw, double dh)
Constructs a new `ResizeOperation` for the manipulation of the given `Node`. The given delta width and height will be applied when executing this operation.

Parameters:
  `resizablePart` - The `Node` that is manipulated by this operation.
  `dw` - The delta width that is applied when executing this operation.
  `dh` - The delta height that is applied when executing this operation.

### ResizeOperation

public ResizeOperation(String label, IResizableContentPart<? extends Node> resizablePart, Dimension initialSize, double dw, double dh)
Constructs a new `ResizeOperation` from the given values. Note that the oldLocation does include the layout-bounds minimum.

Parameters:
  `label` - Descriptive title for the operation.
  `resizablePart` - The visual that is resized/relocated.
  `initialSize` - The old size of the visual.
  `dw` - The horizontal size difference.
  `dh` - The vertical size difference.

## Method Details

### execute

public IStatus execute(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `execute` in interface `IUndoableOperation`
Specified by:
  `execute` in class `AbstractOperation`
Throws:
  `ExecutionException`

### getDh

public double getDh()
Returns the delta height that is applied when executing this operation.

Returns:
  The delta height that is applied when executing this operation.

### getDw

public double getDw()
Returns the delta width that is applied when executing this operation.

Returns:
  The delta width that is applied when executing this operation.

### getInitialSize

public Dimension getInitialSize()
Returns the dimensions that are applied when undoing this operation.

Returns:
  The dimensions that are applied when undoing this operation.

### getResizablePart

public IResizableContentPart<? extends Node> getResizablePart()
Returns the `IResizableContentPart` that is resized by this operation.

Returns:
  The `IResizableContentPart` that is resized by this operation.

### isContentRelevant

public boolean isContentRelevant()
Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization). Otherwise returns `false`. The content relevance of an `ITransactionalOperation` can be checked to determine if the execution of the operation will affect the model, for example, to set an editor's dirty flag.

Specified by:
  `isContentRelevant` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` is actually changing model data, otherwise `false`.

### isNoOp

public boolean isNoOp()
Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state). Otherwise returns `false`.

Specified by:
  `isNoOp` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` has no effect, otherwise `false`.

### redo

public IStatus redo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `redo` in interface `IUndoableOperation`
Specified by:
  `redo` in class `AbstractOperation`
Throws:
  `ExecutionException`

### setDh

public void setDh(double dh)
Sets the delta height that will be applied when executing this operation to the given value.

Parameters:
  `dh` - The delta height that will be applied when executing this operation.

### setDw

public void setDw(double dw)
Sets the delta width that will be applied when executing this operation to the given value.

Parameters:
  `dw` - The delta width that will be applied when executing this operation.

### undo

public IStatus undo(IProgressMonitor monitor, IAdaptable info) throws ExecutionException

Specified by:
  `undo` in interface `IUndoableOperation`
Specified by:
  `undo` in class `AbstractOperation`
Throws:
  `ExecutionException`